#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	tdb
Version		:	1.4.12
Release		:	17.2.0.rel%{?dist}
Summary		:	Trivial Database similar to GDBM but allows simultaneous commits


Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv3+
URL		:	https://www.samba.org/ftp/tdb/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	docbook-xsl
BuildRequires	:	libxslt
BuildRequires	:	python3
#-----------------------------------------------------------------------------
%description
A library that implements a trivial database.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/%{name}backup
%{_bindir}/%{name}dump
%{_bindir}/%{name}tool
%{_bindir}/%{name}restore
%{_libdir}/lib%{name}.so.*
%{python3_sitearch}/_%{name}_text.py
%{python3_sitearch}/__pycache__/_%{name}_text.cpython*.pyc
%{python3_sitearch}/%{name}.cpython*.so
%{_mandir}/man8/%{name}backup.8.gz
%{_mandir}/man8/%{name}dump.8.gz
%{_mandir}/man8/%{name}tool.8.gz
%{_mandir}/man8/%{name}restore.8.gz
 
#=============================================================================
%package		devel
Summary		:	Header files need to link the Tdb library
Requires	:	%{name}		= %{version}-%{release}
 
#-----------------------------------------------------------------------------
%description		devel
Header files needed to develop programs that link against

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc docs/README
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q


#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=/var				\
	--sysconfdir=%{_sysconfdir}/samba		\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}							\
	DESTDIR="%{buildroot}"					\
	install

#-----------------------------------------------------------------------------
%changelog
